Subject: Re: bug#74615: 30.0.92; js-find-symbol automatically activates ido-mode

From: Daniel Colascione <[email-masked]>
Date: Sat, 30 Nov 2024 11:18:44 -0500

On November 30, 2024 3:02:55 AM EST, Eli Zaretskii <[email-masked]> wrote:
>> Cc: Stefan Monnier <[email-masked]>
>> Date: Sat, 30 Nov 2024 07:37:27 +0100
>> From:  Daniel Mendler via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> js-find-symbol/js--read-symbol reads a symbol via ido-completing-read
>> and automatically activates ido-mode. For users of other completion
>> systems (default completion, Icomplete/Fido, Vertico, Helm, ...) this is
>> not desired. Icomplete/Fido/Vertico/etc. replace Ido and provide similar
>> behavior for general completing-read.
>
>This code is there since the day js.el was added, so I don't think
>removing the activation of ido-mode is something we can do, because
>users might expect that by now.  Maybe we could make that optional or
>something.
>
>I've added Daniel Colascione to the discussion, in case he has an
>opinion or comments about this.

I think we can safely regard the hard coding of ido here as a bug and switch it to regular conpleting-read without breaking user workflows. Not every behavior users expect is one we should keep. I'm supportive of UX changes in the interest of making the system more regular and orthogonal.